Bug 838065 - Failed to alter namespace if multiple apps exist
Failed to alter namespace if multiple apps exist
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Mac OS
medium Severity low
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 07:36 EDT by joycezhang
Modified: 2015-05-14 21:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from rhc domain show after namespace was changed (8.09 KB, text/plain)
2012-08-15 17:56 EDT, Lili Nader
no flags Details

  None (edit)
Description joycezhang 2012-07-06 07:36:51 EDT
Description of problem:

Failed to alter name space if there are more than 10 app existed.

Version-Release number of selected component (if applicable):
rhc(0.95.8)

How reproducible:
always

Steps to Reproduce:
1.create domain
2.create some apps also including some scaled apps
3.Alter namesapce
#rhc domain alter -n newdomain -p **
  
Actual results:
It's failed to change domain for all apps scuessfully.

Expected results:
All apps should be changed domain correctly.

Additional info:

Here's the error message:
OpenShift key found at /var/root/.ssh/id_rsa.  Reusing...
There was a problem communicating with the server. Response message: execution expired
If you were disconnected it is possible the operation finished without being able to report success.
You can use 'rhc domain show' and 'rhc app status' to learn about the status of your user and application(s).

Here are the app list which used in the testing:

Application Info
================
perlapp
    Framework: perl-5.10
     Creation: 2012-07-06T04:55:39-04:00
         UUID: 3f8d6c56a45f4993be210c4e327c0fb6
      Git URL: ssh://3f8d6c56a45f4993be210c4e327c0fb6@perlapp-joycetst3.dev.rhcloud.com/~/git/perlapp.git/
   Public URL: http://perlapp-joycetst3.dev.rhcloud.com/

 Embedded: 
      haproxy-1.4
      mongodb-2.0 - Connection URL: mongodb://65bdbf7694-joycetst.dev.rhcloud.com:35726/

pythscale
    Framework: python-2.6
     Creation: 2012-07-06T06:28:49-04:00
         UUID: 327b292e89d4478cb19ab4fe0c4e157a
      Git URL: ssh://327b292e89d4478cb19ab4fe0c4e157a@pythscale-joycetst3.dev.rhcloud.com/~/git/pythscale.git/
   Public URL: http://pythscale-joycetst3.dev.rhcloud.com/

 Embedded: 
      haproxy-1.4
      mongodb-2.0 - Connection URL: mongodb://a33d89d51d-joycetst.dev.rhcloud.com:35846/

jbossas5
    Framework: jbossas-7
     Creation: 2012-07-06T02:26:31-04:00
         UUID: 73b66eb00cd1469182f20a8a5ec2b301
      Git URL: ssh://73b66eb00cd1469182f20a8a5ec2b301@jbossas5-joycetst3.dev.rhcloud.com/~/git/jbossas5.git/
   Public URL: http://jbossas5-joycetst3.dev.rhcloud.com/

 Embedded: 
      rockmongo-1.1 - URL: https://jbossas5-joycetst.dev.rhcloud.com/rockmongo/
      mongodb-2.0 - Connection URL: mongodb://127.0.254.1:27017/
      10gen-mms-agent-0.1 - Monitoring URL: https://mms.10gen.com/
ruby3
    Framework: ruby-1.8
     Creation: 2012-07-06T02:21:11-04:00
         UUID: db4f448521c94ca2a11dd174178459c0
      Git URL: ssh://db4f448521c94ca2a11dd174178459c0@ruby3-joycetst3.dev.rhcloud.com/~/git/ruby3.git/
   Public URL: http://ruby3-joycetst3.dev.rhcloud.com/

 Embedded: 
      jenkins-client-1.4 - Job URL: https://jenkins2-joycetst.dev.rhcloud.com/job/ruby3-build/

python7
    Framework: python-2.6
     Creation: 2012-07-06T03:42:43-04:00
         UUID: 412ce438d93143b28f5665242b15af0b
      Git URL: ssh://412ce438d93143b28f5665242b15af0b@python7-joycetst3.dev.rhcloud.com/~/git/python7.git/
   Public URL: http://python7-joycetst3.dev.rhcloud.com/

 Embedded: 
      jenkins-client-1.4 - Job URL: https://jenkins2-joycetst.dev.rhcloud.com/job/python7-build/

ruby4
    Framework: ruby-1.8
     Creation: 2012-07-06T02:29:30-04:00
         UUID: 12be687c8fab45f7b214fa799b5c0f8a
      Git URL: ssh://12be687c8fab45f7b214fa799b5c0f8a@ruby4-joycetst3.dev.rhcloud.com/~/git/ruby4.git/
   Public URL: http://ruby4-joycetst3.dev.rhcloud.com/

 Embedded: 
      jenkins-client-1.4 - Job URL: https://jenkins2-joycetst.dev.rhcloud.com/job/ruby4-build/

php2
    Framework: php-5.3
 Creation: 2012-07-06T01:32:14-04:00
         UUID: ee70a12133e64209bf1d989f3a7074d2
      Git URL: ssh://ee70a12133e64209bf1d989f3a7074d2@php2-joycetst3.dev.rhcloud.com/~/git/php2.git/
   Public URL: http://php2-joycetst3.dev.rhcloud.com/

 Embedded: 
      jenkins-client-1.4 - Job URL: https://jenkins2-joycetst.dev.rhcloud.com/job/php2-build/

jenkins2
    Framework: jenkins-1.4
     Creation: 2012-07-06T01:36:12-04:00
         UUID: dc3ef0b30d1d459aa8ba8152745412ff
      Git URL: ssh://dc3ef0b30d1d459aa8ba8152745412ff@jenkins2-joycetst3.dev.rhcloud.com/~/git/jenkins2.git/
   Public URL: http://jenkins2-joycetst3.dev.rhcloud.com/

 Embedded: 
      None

perl4
    Framework: perl-5.10
     Creation: 2012-07-06T02:17:51-04:00
         UUID: 887bb37af64c455a8de7396f13ec62da
      Git URL: ssh://887bb37af64c455a8de7396f13ec62da@perl4-joycetst3.dev.rhcloud.com/~/git/perl4.git/
   Public URL: http://perl4-joycetst3.dev.rhcloud.com/

 Embedded: 
      jenkins-client-1.4 - Job URL: https://jenkins2-joycetst.dev.rhcloud.com/job/perl4-build/

pythapi
    Framework: python-2.6
     Creation: 2012-07-06T04:19:42-04:00
         UUID: 072c2074f2934194b7c92fa203d51bbd
      Git URL: ssh://072c2074f2934194b7c92fa203d51bbd@pythapi-joycetst3.dev.rhcloud.com/~/git/pythapi.git/
   Public URL: http://pythapi-joycetst3.dev.rhcloud.com/

 Embedded: 
      None

phpscale
    Framework: php-5.3
     Creation: 2012-07-06T06:26:45-04:00
         UUID: b181e0731ed0473aa4f83a9e05b56a57
      Git URL: ssh://b181e0731ed0473aa4f83a9e05b56a57@phpscale-joycetst3.dev.rhcloud.com/~/git/phpscale.git/
   Public URL: http://phpscale-joycetst3.dev.rhcloud.com/

 Embedded: 
      haproxy-1.4
      mongodb-2.0 - Connection URL: mongodb://c193cb9005-joycetst3.dev.rhcloud.com:35836/
Comment 1 joycezhang 2012-07-06 09:08:28 EDT
The apps whose domain has been altered can not be accessed, jenkins client domain can not be altered.
Comment 2 joycezhang 2012-07-06 09:09:37 EDT
The apps with new changed name space can't be accessed in this case.
Comment 3 Krishna Raman 2012-07-08 13:12:18 EDT
This error message is expected for a large number of apps if the request times out. you should be able to issue the same alter namespace command a second time and it will complete the process.
Comment 4 joycezhang 2012-07-09 06:59:38 EDT
Tha new namespace is changed successfully after running the alter namespace command again. 
But there should be a correct message to ask user to run the command again to complete the process, like "You are running with a large number of apps, please run the same alter namespace command to compete the process". Thanks.
Comment 5 Lili Nader 2012-08-15 17:56:32 EDT
Created attachment 604703 [details]
output from rhc domain show after namespace was changed
Comment 6 Lili Nader 2012-08-15 17:57:27 EDT
create 30 apps and changed namespace.  It succeeded!
Comment 7 joycezhang 2012-08-16 00:54:11 EDT
The domain can be updated successfully in one time even if it cantains more than 10 apps.

Verified build:
rhc-0.97.7.gem
devenv_1995

Verified result:
# rhc domain update -n jinzhang0 -p a

Updating domain 'jinzhang7' to namespace 'jinzhang0'

RESULT:
Success!

So mark it as verified. Thanks.

Note You need to log in before you can comment on or make changes to this bug.